{% extends 'base.html' %}
{% load bootstrap4 %}

{% block title %}Изменить запись{% endblock %}

{% block content %}

<div class="col-9">
    <div class="row">
        <div class="col-12">
            <div class="jumbotron p-4 p-md-5 text-dark rounded bg-white-50">
                <div class="col-md-12 px-0">
                    <h4 class="display-5 font-italic">Изменить запись о доходе/расходе:</h4>
                    <div class="card text-white border-dark">
                        <div class="card-body">
                            <form action="." method="post">
                                {% csrf_token %}
                                <div class="row">
                                    <div class="col-4 px-1">
                                        <small class="form-text text-muted">Название: </small>
                                        <small>{{ form.title }}</small>
                                    </div>
                                    <div class="col-2 px-1">
                                        <small class="form-text text-muted">Категория: </small>
                                        <small><input class="form-control form-control-sm" type="text" value="{{ category }}" readonly></small>
                                    </div>
                                    <div class="col-2 px-1">
                                        <small class="form-text text-muted">Сумма: </small>
                                        <small>{{ form.amount }}</small>
                                    </div>
                                    {{ form.user }}
                                    {{ form.type }}
                                    <div class="col-4 text-right px-1">
                                        <a href="{{ back_url }}" class="btn btn-sm btn-outline-secondary mt-4">Отмена</a>
                                        <button type="submit" class="btn btn-sm btn-outline-secondary mt-4">Сохранить
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

{% endblock %}
